function y = lorenz(x)

%
% function y = lorenz(x)
%
% Systeme de Lorenz, fonction donnant la derivee en un point
%

global dim s

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Constantes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

sigma = 10;
rho = 28;
beta = 8/3;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Calcul de la derivee
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i = 1:s
 y(i,1) = -sigma*x(i)+sigma*x(s+i);
 y(s+i,1) = -x(i)*x(2*s+i)+rho*x(i)-x(s+i);
 y(2*s+i,1) = x(i)*x(s+i)-beta*x(2*s+i);
end
